### Virtual Method

# Phosh DBusEndSessionDialog handle_open

#### Declaration [src]

    gboolean
    handle_open (
      PhoshDBusEndSessionDialog* object,
      GDBusMethodInvocation* invocation,
      guint arg_type,
      guint arg_timestamp,
      guint arg_seconds_to_stay_open,
      const gchar* const* arg_inhibitor_object_paths
    )

#### Description [src]

Handler for the `PhoshDBusEndSessionDialog::handle-open` signal.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  No description available.

  The data is owned by the caller of the function.

`arg_type`

  Type: `guint`

  No description available.

`arg_timestamp`

  Type: `guint`

  No description available.

`arg_seconds_to_stay_open`

  Type: `guint`

  No description available.

`arg_inhibitor_object_paths`

  Type: `const gchar* const*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

No description available.